/*
 * IgnitionControllerTest.java
 * JUnit based test
 *
 * Created on May 14, 2003, 6:39 PM
 */

package org.megaJoltLiteJr;

import junit.framework.*;

/**
 *
 * @author brent
 */
public class IgnitionControllerTest extends TestCase {
    
    public IgnitionControllerTest(java.lang.String testName) {
        super(testName);
    }
    
    public static void main(java.lang.String[] args) {
        junit.textui.TestRunner.run(suite());
    }
    
    public static Test suite() {
        TestSuite suite = new TestSuite(IgnitionControllerTest.class);
        return suite;
    }
    
    // Add test methods here, they have to start with 'test' name.
    // for example:
    // public void testHello() {}
    
    public void testIgnitionState(){
     
        IgnitionController controller = new IgnitionController();
        
        controller.setSerialPortName("/dev/ttyS1");
        controller.setBaudRate(4800);
        
        controller.connect();
        
        while(true){
            IgnitionState currentState = controller.getIgnitionState();

            System.out.println("Ignition Advance: " + currentState.getIgnitionAdvance());
            System.out.println("RPM Value: " + currentState.getRpmValue());
            System.out.println("RPM Bin: " + currentState.getRpmBin());
            System.out.println("MAP Bin: " + currentState.getMapBin());
            System.out.println("MAP Value: " + currentState.getMapValue());
            try{
                Thread.sleep(1000);
            }
            catch(InterruptedException e){
            }
        }
        
    }
    
    
}
