/*
 * ControllerUtil.java
 *
 * Created on May 20, 2003, 12:47 AM
 */

package org.megaJoltLiteJr.util;

/**
 *
 * @author  brent
 */
public class ControllerUtil {
    
    /** Creates a new instance of ControllerUtil */
    private ControllerUtil() {
    }
    
    
    public static int convertBinToRpm(int rpmBin){
     
        return rpmBin * 100;
    }
    
    public static int convertTicksToRpm(int rpmTickCount,int numberOfCylinders){
     
        int cyl;
        
        if (4==numberOfCylinders) cyl=2;
        else if (6==numberOfCylinders) cyl=3;
        else if (8==numberOfCylinders) cyl=4;
        else throw new IllegalArgumentException("Invalid number of cylinders specified " + numberOfCylinders + "; should be 4,6 or 8");
        
        float rpm = 0;
        if (rpmTickCount>0){
            rpm = 60 * (1/((((float)rpmTickCount)/1000000)*cyl));
        } 
        return (int)Math.abs(rpm);
    }
    
}
